Ticket #26966

Tests fail with Ruby 1.9.3

Open Date: 2011-12-19 21:20 Last Update: 2012-03-17 23:04

Reporter:
(Anonymous)
Owner:
Type:
Status:
Closed
Component:
(None)
MileStone:
(None)
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
None

Details

Hi, the tests of skf, version 1.99 fail with Ruby 1.9.3 for me:

++ ruby -e 'require '\skf'\ ; puts Skf.convert('\-s'\, "��")' ++ iconv -f shift-jis -t utf-8 -e:1: invalid multibyte char (US-ASCII) -e:1: invalid multibyte char (US-ASCII) -e:1: syntax error, unexpected $end, expecting ')' require 'skf' ; puts Skf.convert('-s', "��")

+ a_from_shift_jis= ++ ruby -e 'require '\skf'\ ; puts Skf.convert('\--oc=iso-2022-jp'\, "��")' ++ iconv -f iso-2022-jp -t utf-8 -e:1: invalid multibyte char (US-ASCII) -e:1: invalid multibyte char (US-ASCII) -e:1: syntax error, unexpected $end, expecting ')' require 'skf' ; puts Skf.convert('--oc=iso-2022-jp', "��")

+ a_from_iso= ++ ruby -e 'require '\skf'\ ; puts Skf.convert('\-z'\, "��")' -e:1: invalid multibyte char (US-ASCII) -e:1: invalid multibyte char (US-ASCII) -e:1: syntax error, unexpected $end, expecting ')' require 'skf' ; puts Skf.convert('-z', "��")

+ a_from_utf8= + '[' '' '!=' $'\343\201\202' ']'

Would it be possible to fix this issue?

Thank you, Bohuslav Kabrda

Ticket History (3/5 Histories)

2011-12-19 21:20 Updated by: None
  • New Ticket "Tests fail with Ruby 1.9.3" created
2011-12-20 23:17 Updated by: efialtes
  • Owner Update from (None) to efialtes
Comment

Sorry, Ruby 1.9.x and Python 3.x is not yet Supported (I know :-). I'd like to fix at beta of 1.99, so please wait for a while.

2012-02-11 22:15 Updated by: efialtes
Comment

fixed at 1.99b0h-4 (tested with 1.9.2 and 1.9.3). Please try.

2012-02-11 22:15 Updated by: efialtes
  • Resolution Update from None to Fixed
2012-03-17 23:04 Updated by: efialtes
  • Ticket Close date is changed to 2012-03-17 23:04
  • Status Update from Open to Closed

Attachment File List

No attachments

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login